<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecuciÃ³n
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100194";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalizaciÃ³n 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width"/>
<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>

<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz GrÃ¡fica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAÃ±o = substr($TokEn, -28, 4);    // devuelve el aÃ±o
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el dÃ­a
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAÃ±o;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesiÃ³n del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesiÃ³n ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - AcreditaciÃ³n de SesiÃ³n Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
		///Arrastrar Valores
		$NoOrdenEn=strtoupper($_POST['txt_Orden']) or $NoOrdenEn=strtoupper($_GET['txt_Orden']);
		$CodSkuEn=strtoupper($_POST['SkuKP']) or $CodSkuEn=strtoupper($_GET['SkuKP']);
		$NoPediEn=strtoupper($_POST['PedKP']) or $NoPediEn=strtoupper($_GET['PedKP']);
		$TipExtEn=strtoupper($_POST['TExKP']) or $TipExtEn=strtoupper($_GET['TExKP']);
			
		$PalEscEn=strtoupper($_POST['PalKP']) or $PalEscEn=strtoupper($_GET['PalKP']);
		$UbiDesEn=strtoupper($_POST['txt_UbicDest']) or $UbiDesEn=strtoupper($_GET['txt_UbicDest']);
		
		///Identificar Existencia de la Orden
			$sql_BO2 = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_BO2)==0)
			{ ///Inicia IF Validador de Orden de Trabajo
				echo "<script>alert('La Orden de Trabajo ingresada no Existe.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
		
		///Identificar la Orden
			$sql_BO = mysql_query("select ESTADO_ORDEN,ESTADO_LINEA,PEDIMENTO_SOLICITADO,TIPO_EXTRACCION from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ESTADO_LINEA<>'CANCELADA'");
			if (mysql_numrows($sql_BO)==0) echo "";
			else{
			$registro_BO=mysql_fetch_array($sql_BO);
			}
			if (mysql_numrows($sql_BO)>0)
			{
			$EdoOrd_BO=$registro_BO["ESTADO_ORDEN"];
			$EdoLin_BO=$registro_BO["ESTADO_LINEA"];
			}
		
		///Identificar el Pallet Asignado en la Generación de Tareas de Ordenes de Trabajo
			$sql_BO4 = mysql_query("select * from extra_tareas_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND NO_PALLET_NUEVO='$PalEscEn' AND ESTADO_TAREA='PENDIENTE' Order By PRIORIDAD ASC Limit 0,1");
			if (mysql_numrows($sql_BO4)==0) echo "";
			else{
			$registro_BO4=mysql_fetch_array($sql_BO4);
			}
			if (mysql_numrows($sql_BO4)>0)
			{
			$NuIdBd_BO4=$registro_BO4["ID"];
			$NoTare_BO4=$registro_BO4["NO_TAREA"];
			$PallOr_BO4=$registro_BO4["NO_PALLET"];
			$PallNu_BO4=$registro_BO4["NO_PALLET_NUEVO"];
			$Descri_BO4=$registro_BO4["DESCRIPCION"];
			$Cantid_BO4=$registro_BO4["CANT_XTAREA"];
			$EdoTar_BO4=$registro_BO4["ESTADO_TAREA"];
			$Ubicac_BO4=$registro_BO4["UBICACION"];
			$Calida_BO4="PT";
			}
		
		///Identificar el Pallet optimo para dicho Traslado
			$sql_BO3 = mysql_query("select ID,NO_DOCUMENTO,SKU_ALT,NO_PALLET,DESCRIPCION,CANTIDAD,UBICACION,EDO_CALIDAD from tabla_inventario where CVE_CUENTA='$CveCueCR1' AND SKU='$CodSkuEn' AND EDO_CALIDAD='PT' AND LOTEPRODU='$NoPediEn' AND TIPO_ALMACEN='$TipExtEn' AND NO_PALLET='$PallNu_BO4' Order By FECHA_ENTRADA ASC Limit 0,1");
			if (mysql_numrows($sql_BO3)==0) echo "";
			else{
			$registro_BO3=mysql_fetch_array($sql_BO3);
			}
			if (mysql_numrows($sql_BO3)>0)
			{
			$NuIdBd_BO3=$registro_BO3["ID"];
			$NoDocu_BO3=$registro_BO3["NO_DOCUMENTO"];
			$Altern_BO3=$registro_BO3["SKU_ALT"];
			$NoPall_BO3=$registro_BO3["NO_PALLET"];
			$Descri_BO3=$registro_BO3["DESCRIPCION"];
			$Cantid_BO3=$registro_BO3["CANTIDAD"];
			$Ubicac_BO3=$registro_BO3["UBICACION"];
			$Calida_BO3=$registro_BO3["EDO_CALIDAD"];
			}
				
			///Validar Disponibilidad Actual
				if ($NoPall_BO3<>$PallNu_BO4 or $Cantid_BO4<>$Cantid_BO3 or $Ubicac_BO4<>$Ubicac_BO3 or $Calida_BO4<>$Calida_BO3)
				{
					echo "<script>alert('El Pallet asignado dentro de las tareas ya no corresponde al que se encuentra actualmente en Stock.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn'";
				}
				else
				{ ///Inicia IF Disponibilidad Actual
							
			///Detectando Ubicación no solicitada	
			if ($UbiDesEn<>"200-1-1-1")
			{///Inicia IF Validador de Ubicación
				echo "<script>alert('La Ubicación Destino escaneada no corresponde a la configurada dentro del Área de Producción.\\nFavor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo6.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn&SkuKP=$CodSkuEn&PedKP=$NoPediEn&TExKP=$TipExtEn&txt_NoPall=$PalEscEn'";
			}
			else
			{
		
////++++++++++++++ FIN CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="14-OrdenTrabajo5.php">
        <table border="0" style="border-collapse: collapse" width="261">
  		<tr>
		    <td align="center"><font class="Clase_TipoLetra">Ordenes de Trabajo - Traslado</font></td>
	      </tr>
		  <tr>
		    <td>
            <?PHP
			
			///Identificar la Prioridad de Sutido de la Ubicación
				$sql_PS1 = mysql_query("select PRIORIDAD from tabla_prioridad where CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbiDesEn' Limit 0,1");
				if (mysql_numrows($sql_PS1)==0) echo "";
				else{
				$registro_PS1=mysql_fetch_array($sql_PS1);
				}
				if (mysql_numrows($sql_PS1)>0)
				{
				$PriUbi_PS1=$registro_PS1["PRIORIDAD"];
				}
			
			///Identificar el Tipo de Ubicación
				$sql_PS2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones where CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbiDesEn' Limit 0,1");
				if (mysql_numrows($sql_PS2)==0) echo "";
				else{
				$registro_PS2=mysql_fetch_array($sql_PS2);
				}
				if (mysql_numrows($sql_PS2)>0)
				{
				$TipUbi_PS2=$registro_PS2["TIPODEUBICACION"];
				}
				
			///Hora y Fecha
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
				
			///Cambiar Ubicación, Prioridad y Estado de Calidad al Pallet dentro del Stock (tabla_inventario)
				$sql_Up1="Update tabla_inventario SET EDO_CALIDAD='M',UBICACION='$UbiDesEn',PRIORIDAD='$PriUbi_PS1',TIPO_UBICACION='$TipUbi_PS2' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodSkuEn' AND NO_PALLET='$PalEscEn' AND ID='$NuIdBd_BO3'";
				$resultado_Up1=mysql_query($sql_Up1,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************				
				
			///Registro de Traspaso a Menos
				$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
				$lib_GF1 = mysql_query($sql_GF1); 
				$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
				$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
			///Guardar el registro de Traspaso a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodSkuEn','$Altern_BO3','$NoDocu_BO3','TRASPASO -','$Ubicac_BO3','$NoPall_BO3','-$Cantid_BO3','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Traspaso a Mas
				$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
				$lib_GF2 = mysql_query($sql_GF2); 
				$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
				$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
			///Guardar el registro de Traspaso a Mas
				$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodSkuEn','$Altern_BO3','$NoDocu_BO3','TRASPASO +','$UbiDesEn','$NoPall_BO3','$Cantid_BO3','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());
			
///****************************************************************************************************************************				
				
			///Registro de Cambio de Calidad a Menos
				$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_kardex"; 
				$lib_GF3 = mysql_query($sql_GF3); 
				$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
				$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CodSkuEn','$Altern_BO3','$NoDocu_BO3','CALIDAD - $Calida_BO3','$UbiDesEn','$NoPall_BO3','-$Cantid_BO3','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Cambio de Calidad a Mas
				$sql_GF4 = "select max(ID) as ultimo_FOLIO_GF4 from tabla_kardex"; 
				$lib_GF4 = mysql_query($sql_GF4); 
				$rs_lib_GF4 = mysql_fetch_assoc($lib_GF4); 
				$id_nuevo_GF4 = $rs_lib_GF4['ultimo_FOLIO_GF4'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Mas
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF4','$CveBodCR1','$CveCueCR1','$CodSkuEn','$Altern_BO3','$NoDocu_BO3','CALIDAD + M','$UbiDesEn','$NoPall_BO3','$Cantid_BO3','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
								
///****************************************************************************************************************************


			///Sumar el total de piezas que se han Trasladado al Area de Producción
				$sql_Sum = "SELECT SUM(CANTIDAD_TRASLADADA) as ObtCant_Sum FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum = mysql_query($sql_Sum); 
				$PrePiezas_Sum = mysql_fetch_assoc($res_Sum);
				$Total_Sum =  $PrePiezas_Sum ['ObtCant_Sum'];
				
				$TotPieTra = $Total_Sum + $Cantid_BO3;
			
			///Guardar el total de piezas que se han Trasladado al Area de Producción
				$sql_TTra="UPDATE extra_ordentrabajo SET CANTIDAD_TRASLADADA='$TotPieTra',ESTADO_LINEA='ABASTECIENDO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ESTADO_LINEA<>'CANCELADA'";
				$resultado_TTra=mysql_query($sql_TTra,$conexion) or die(mysql_error());
				
			///Guardar el cambio de Estatus de la Orden de Trabajo
				$sql_CEst="UPDATE extra_ordentrabajo SET ESTADO_ORDEN='EN PROCESO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'";
				$resultado_CEst=mysql_query($sql_CEst,$conexion) or die(mysql_error());
				
			///Guardar el registro de la confirmación de Tarea de Traslado en la tabla extra_tareas_ordentrabajo
				$sql_CTOTras="UPDATE extra_tareas_ordentrabajo SET CANT_SURTIDA='$Cantid_BO3',USUARIO_EJECUTO='$UsuEn',FECHA_EJECUTO='$Fecha',HORA_EJECUTO='$HoraOK',ESTADO_TAREA='EJECUTADA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ID='$NuIdBd_BO4' AND NO_PALLET_NUEVO='$PalEscEn' AND ESTADO_TAREA<>'CANCELADA'";
				$resultado_CTOTras=mysql_query($sql_CTOTras,$conexion) or die(mysql_error());
				
			///Identificar el Total de Piezas por Codigo que se han de Trasladar							
				$sql_Sum2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_Sum2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum2 = mysql_query($sql_Sum2); 
				$PrePiezas_Sum2 = mysql_fetch_assoc($res_Sum2);
				$Total_Sum2 =  $PrePiezas_Sum2 ['ObtCant_Sum2'];


			///Validar si e Estado de la Linea debe Cambiar
			if ($TotPieTra >= $Total_Sum2)
			{
				$sql_CEstL="UPDATE extra_ordentrabajo SET ESTADO_LINEA='ABASTECIDA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSkuEn' AND PEDIMENTO_SOLICITADO='$NoPediEn' AND TIPO_EXTRACCION='$TipExtEn' AND ESTADO_LINEA<>'CANCELADA'";
				$resultado_CEstL=mysql_query($sql_CEstL,$conexion) or die(mysql_error());
			}

///****************************************************************************************************************************
///					Aqui inicia el proceso de Consolidación


	///Identificar si es el primer pallet dentro del Area de Maquila
		$sql_CPA1 = mysql_query("select ID from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodSkuEn' AND TIPO_ALMACEN='$TipExtEn' AND LOTEPRODU='$NoPediEn' AND UBICACION='200-1-1-1' AND CANTIDAD>'0' AND EDO_CALIDAD='M' AND NO_PALLET<>'$PalEscEn'");
		if (mysql_numrows($sql_CPA1)<>0) 
			{///Inicia IF General de Detección de Consolidación
				
				$sql_CPA2 = mysql_query("select NO_PALLET,SKU,UBICACION,EDO_CALIDAD,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodSkuEn' AND TIPO_ALMACEN='$TipExtEn' AND LOTEPRODU='$NoPediEn' AND UBICACION='200-1-1-1' AND CANTIDAD>'0' AND EDO_CALIDAD='M' AND NO_PALLET<>'$PalEscEn'");
				if (mysql_numrows($sql_CPA2)==0) { echo "";}
				else{
				$registro_CPA2=mysql_fetch_array($sql_CPA2);
				}
				if (mysql_numrows($sql_CPA2)>0)
				{
				$Pal_CPP2=$registro_CPA2["NO_PALLET"];
				$Sku_CPP2=$registro_CPA2["SKU"];
				$Ubi_CPP2=$registro_CPA2["UBICACION"];
				$Cal_CPP2=$registro_CPA2["EDO_CALIDAD"];
				$Lot_CPP2=$registro_CPA2["LOTE"];
				$LPr_CPP2=$registro_CPA2["LOTEPRODU"];
				$TAl_CPP2=$registro_CPA2["TIPO_ALMACEN"];
				$Can_CPP2=$registro_CPA2["CANTIDAD"];
				}
				
			////Hora y Fecha
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
				
			///********* Guardar el Pallet 1 a Consolidar	
					
			////Generador de Folio para Guardar el Registro
				$sqlID = "select max(ID) as ultimo_FOLIO from temporal_consolida"; 
				$lib = mysql_query($sqlID); 
				$rs_lib = mysql_fetch_assoc($lib); 
				$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
			////Guardar el Registro en la BD
				$sql_CCP1 = "insert into temporal_consolida (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD,USUARIO_REG,FECHA,HORA)
				values('$id_nuevo','$CveBodCR1','$CveCueCR1','$Pal_CPP2','$Sku_CPP2','$Ubi_CPP2','$Cal_CPP2','$Lot_CPP2','$LPr_CPP2','$TAl_CPP2','$Can_CPP2','$UsuEn','$Fecha','$HoraOK')";
				$resultado_CCP1=mysql_query($sql_CCP1,$conexion) or die(mysql_error());
				
			///********* Guardar el Pallet 2 a Consolidar	
					
			////Generador de Folio para Guardar el Registro
				$sqlID2 = "select max(ID) as ultimo_FOLIO2 from temporal_consolida"; 
				$lib2 = mysql_query($sqlID2); 
				$rs_lib2 = mysql_fetch_assoc($lib2); 
				$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
		
			////Guardar el Registro en la BD
				$sql_CCP2 = "insert into temporal_consolida (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN,CANTIDAD,USUARIO_REG,FECHA,HORA)
				values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NoPall_BO3','$CodSkuEn','$UbiDesEn','M','','$NoPediEn','$TipExtEn','$Cantid_BO3','$UsuEn','$Fecha','$HoraOK')";
				$resultado_CCP2=mysql_query($sql_CCP2,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************
				
			$sql_WAM = "SELECT * FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' ORDER BY ID ASC";
			$res_WAM=mysql_query($sql_WAM) or die('Error en la consulta: '.mysql_error());
			While($row_WAM = mysql_fetch_array($res_WAM,MYSQL_ASSOC))
				{///Inicia el while 1 - Cosolidación
				
					$IdElimC2=$row_WAM["ID"];	
					$NoPallC2=$row_WAM["NO_PALLET"];
					$SkuC2=$row_WAM["SKU"];
					$UbiC2=$row_WAM["UBICACION"];
					$CantiC2=$row_WAM["CANTIDAD"];
					$TAlmaC2=$row_WAM["TIPO_ALMACEN"];
					
					///Registro de Consolidación
					$sql_GF5 = "select max(ID) as ultimo_FOLIO_GF5 from tabla_kardex"; 
					$lib_GF5 = mysql_query($sql_GF5); 
					$rs_lib_GF5 = mysql_fetch_assoc($lib_GF5); 
					$id_nuevo_GF5 = $rs_lib_GF5['ultimo_FOLIO_GF5'] + 1;
					
					////Identificar los Datos del Pallet
					$sqlDP = mysql_query("select SKU_ALT,NO_DOCUMENTO from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuC2' AND NO_PALLET='$NoPallC2' AND TIPO_ALMACEN='$TAlmaC2'");
					if (mysql_numrows($sqlDP)==0) echo "";
					else{
					$registroDP=mysql_fetch_array($sqlDP);
					}
					if (mysql_numrows($sqlDP)>0)
					{
					$SkuAltDP=$registroDP["SKU_ALT"];
					$NDocDP=$registroDP["NO_DOCUMENTO"];
					}
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					////modificar el Registro del pallet dentro del inentario - Ajustar a 0						
					$sqlUTI="UPDATE tabla_inventario SET CANTIDAD='0' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuC2' AND NO_PALLET='$NoPallC2' AND TIPO_ALMACEN='$TAlmaC2'";
					$resultadoUTI=mysql_query($sqlUTI,$conexion) or die(mysql_error());
					
					////Consulta que guarda el Registro del Ajuste a Menos en el Kardex					
					$sqlARK = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevo_GF5','$CveBodCR1','$CveCueCR1','$SkuC2','$SkuAltDP','$NDocDP','CONSOLIDACION','$UbiC2','$NoPallC2','-$CantiC2','$Fecha','$HoraOK','$UsuEn')");
				
				}///Termina el while 1 - Cosolidación
				
////°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°°////
				///Consecutivo en Kardex para el pallet Nuevo
					$sql_GF6 = "select max(ID) as ultimo_FOLIO_GF6 from tabla_kardex"; 
					$lib_GF6 = mysql_query($sql_GF6); 
					$rs_lib_GF6 = mysql_fetch_assoc($lib_GF6); 
					$id_nuevo_GF6 = $rs_lib_GF6['ultimo_FOLIO_GF6'] + 1;
					
				////Consulta para sumar el Total de Piezas a Consolidar
					$sqlSUMA = "SELECT SUM(CANTIDAD) as ObtCant FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND SKU='$CodSkuEn'";
					$resSUMA = mysql_query($sqlSUMA); 
					$PrePiezas = mysql_fetch_assoc($resSUMA);
					$TotPiezasXC =  $PrePiezas ['ObtCant'];
					
				////Identificar los Datos de la Consolidación
				////Identificar el Menor registro en la Tabla por medio de su ID
				////Saber cual fue el primer Pallet agregado por el usuario
					$sql_Min = "select min(ID) as Pri_Fol from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
					$lib_Min = mysql_query($sql_Min); 
					$rs_lib_Min = mysql_fetch_assoc($lib_Min); 
					$FolMen = $rs_lib_Min['Pri_Fol'];
					
				////Extraer Datos Logisticos Por Pallet - Del Inventario
					$sql_CPP = mysql_query("select NO_PALLET,SKU,UBICACION,EDOCAL,LOTE,LOTEPRODU,TIPO_ALMACEN from temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND ID='$FolMen' AND USUARIO_REG='$UsuEn'");
					if (mysql_numrows($sql_CPP)==0) echo "";
					else{
					$registro_CPP=mysql_fetch_array($sql_CPP);
					}
					if (mysql_numrows($sql_CPP)>0)
					{
					$Pal_CPP=$registro_CPP["NO_PALLET"];
					$Sku_CPP=$registro_CPP["SKU"];
					$Ubi_CPP=$registro_CPP["UBICACION"];
					$ECa_CPP=$registro_CPP["EDOCAL"];
					$Lot_CPP=$registro_CPP["LOTE"];
					$LPr_CPP=$registro_CPP["LOTEPRODU"];
					$TAl_CPP=$registro_CPP["TIPO_ALMACEN"];
					}
					
				////Identificar los Datos del Pallet
					$sqlDP2 = mysql_query("select SKU_ALT,FECHA_ENTRADA,TIPO_UBICACION,CADUCIDAD,FACTURA from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$Sku_CPP' AND NO_PALLET='$Pal_CPP' AND TIPO_ALMACEN='$TAl_CPP'");
					if (mysql_numrows($sqlDP)==0) echo "";
					else{
					$registroDP2=mysql_fetch_array($sqlDP2);
					}
					if (mysql_numrows($sqlDP2)>0)
					{
					$SkuAltDP2=$registroDP2["SKU_ALT"];
					$FeEntrDP2=$registroDP2["FECHA_ENTRADA"];
					$TiUbicDP2=$registroDP2["TIPO_UBICACION"];
					$CaduciDP2=$registroDP2["CADUCIDAD"];
					$FacturDP2=$registroDP2["FACTURA"];
					}
					
				////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLwms=date("Ymd");
					
					
				/////////Identificar el prefijo de Consolidacion configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_consol WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO"];
					}
					
				////Generador de Folio para guardar el consecutivo de la clave de documento de Consolidacion
					$FechaDocuSur=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedoccon WHERE FECHA='$FechaDocuSur'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuSur.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
				////Generador de Folio para el Concecutivo del Documento de Cosolidacion
					$sql_DC = "select max(ID) as ultimo_FOLIO_DC from tabla_consedoccon"; 
					$lib_DC = mysql_query($sql_DC); 
					$rs_lib_DC = mysql_fetch_assoc($lib_DC); 
					$id_DC = $rs_lib_DC['ultimo_FOLIO_DC'] + 1;
									
				////Guardar el concecutivo del Documento de Cosolidacion
					$sqlGCP = "insert tabla_consedoccon (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_DC','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuSur')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
				
				/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
				//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($Pal_CPP, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
				////Generador de Folio para el Concecutivo del Pallet
					$sqlIDP22 = "select max(ID) as ultimo_FOLIOP22 from tabla_consepallet"; 
					$libP22 = mysql_query($sqlIDP22); 
					$rs_libP22 = mysql_fetch_assoc($libP22); 
					$id_nuevoP22 = $rs_libP22['ultimo_FOLIOP22'] + 1;
									
				////Guardar el concecutivo del Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP22','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocPG','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());	
					
				////Consulta que guarda el Registro del Pallet Consolidado dentro del Kardex					
					$sqlARK2 = mysql_query("INSERT INTO tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO) VALUES ('$id_nuevo_GF6','$CveBodCR1','$CveCueCR1','$Sku_CPP','$SkuAltDP2','$NoDocPG','CONSOLIDACION','$Ubi_CPP','$ClavePallet','$TotPiezasXC','$Fecha','$HoraOK','$UsuEn')");
					
				
				////Identificar la Decripción del Producto
					$sql_DP = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$Sku_CPP'");
					if (mysql_numrows($sql_DP)==0) echo "";
					else{
					$registro_DP=mysql_fetch_array($sql_DP);
					}
					if (mysql_numrows($sql_DP)>0)
					{
					$Desc_DP=$registro_DP["DESCRIPCION"];
					}
				
				////Identificar la Prioridad de la Ubicación
					$sqlPDU = mysql_query("select PRIORIDAD from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='200-1-1-1'");
					if (mysql_numrows($sqlPDU)==0) echo "";
					else{
					$registroPDU=mysql_fetch_array($sqlPDU);
					}
					if (mysql_numrows($sqlPDU)>0)
					{
					$PrioPDU=strtoupper($registroPDU["PRIORIDAD"]);
					}
				
				////Identificacndo el Armado
					$Arma= "1 Pallet de ".$TotPiezasXC." piezas";
					
				////Generador de Folio para el Inventario
					$sqlPTI = "select max(ID) as ultimo_FOLIOPTI from tabla_inventario"; 
					$libPTI = mysql_query($sqlPTI); 
					$rs_libPTI = mysql_fetch_assoc($libPTI); 
					$id_nuevoPTI = $rs_libPTI['ultimo_FOLIOPTI'] + 1;
				
				////Lote WMS
					$LWm_CPP = "LWMS".$FechaLwms;
				
				////Consulta que guarda el Registro del nuevo pallet en el Inventario				
					$sqlADI = mysql_query("INSERT INTO tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,CAN_APARTADA,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN) VALUES ('$id_nuevoPTI','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$Sku_CPP','$SkuAltDP2','$Desc_DP','$FeEntrDP2','$TotPiezasXC','$LotePG','$LWm_CPP','$LPr_CPP','$CaduciDP2','$FacturDP2','P-C','$TotPiezasXC','1','$Arma','$ClavePallet','$Ubi_CPP','$PrioPDU','$TiUbicDP2','$ECa_CPP','0','$UsuEn','$HoraOK','$Fecha','$TAl_CPP')");	
					
					////Elimina el Buffer Temporal de Consolidacion
					$sql_EB1= "DELETE FROM temporal_consolida WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND SKU='$Sku_CPP'";
					$resultado_EB1=mysql_query($sql_EB1,$conexion) or die(mysql_error());
				
			}///Termina IF General de Detección de Consolidación
			
			
			///Confirmación y Redireccionamiento
				echo "<script>alert('Traslado Procesado Correctamente.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn'>";
			?>
            </td>
	      </tr>
	      
		  <tr>
		    <td><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td align="center">&nbsp;</td>
	      </tr>
	    </table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz GrÃ¡fica -->
<?PHP
}///Inicia IF Validador de Ubicación
}///Termina IF Validador de Palles
} ///Termina IF Validador de Orden de Trabajo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
